/**
 * Initialize the event and run it every time its emitted
 * @param event {string} Event name
 */
export declare function On(event: string): ClassDecorator;
/**
 * Initialize the event and run it once
 * @param event {string} Event name
 */
export declare function Once(event: string): ClassDecorator;
/**
 * Set values to the Event class
 * @param data
 * @private
 */
export declare function setMetaData(data: {
    once: boolean;
    name: string;
}): ClassDecorator;
