import { Collection } from 'discord.js';
import { SilentClient } from '../client/SilentClient';
import { Event } from './Event';
export declare class EventRegistry extends Collection<string, Event> {
    /**
     * @property {SilentClient} client
     * @protected
     */
    protected client: SilentClient;
    /**
     * @param client {SilentClient}
     * @constructor
     */
    constructor(client: SilentClient);
    /**
     * Used for registering events.
     * @private
     * @param event {Event}
     */
    registerEvent(event: Event): void;
}
