import { Snowflake } from 'discord.js';
/**
 * Get the arguments from the message content
 * @param [splitter] {RegExp}
 */
export declare function Args(splitter?: RegExp): (target: Object, key: string, index: number) => void;
/**
 * Get the message Object
 */
export declare function Msg(): (target: Object, key: string, index: number) => void;
/**
 * Get the roles of the message author
 */
export declare function Roles(): (target: Object, key: string, index: number) => void;
/**
 * Get a specific role from a user
 * @param role {String|Snowflake} The role ID or role name
 */
export declare function Role(role: string | Snowflake): (target: Object, key: string, index: number) => void;
